Bug 1417428 - Some brush strokes (click & drag) are not recognized
Summary: Some brush strokes (click & drag) are not recognized
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 09:17 UTC by Martin Ueding
Modified: 2017-12-12 10:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Ueding 2017-01-29 09:17:30 UTC
Description of problem:

    I have a ThinkPad X220 Tablet with a built-in Wacom digitizer. For taking
    notes, I use Xournal. With previous releases of Fedora, this has worked
    just fine.

    Since I did the upgrade to Fedora 25, some pen stroke just do not show up
    in the Xournal notebook. This can have a variety of reasons.

    - The sensitivity defaults could have changed and I do not press hard
      enough to start drawing.

    - There is some issue with the Wacom driver such that it randomly drops
      click events. The mouse cursor still moves when no line is drawn, so it
      is just the click event that is missing.

    - It could be an issue in Xournal.

    - The laptop is four years in use, it could be some hardware defect.

Version-Release number of selected component (if applicable):

    xorg-x11-drv-wacom 0.34.0 1.fc25

How reproducible:

    Unfortunately it does not happen often. Sometimes I can write a lot of
    pages without a single glitch. Today there were quite a few ones and they
    happen every few lines of text.

Additional info:

    I have filmed this issue and isolated two events where this happens in a
    short video: https://youtu.be/FBslPZ9AX20 (28 seconds)

    One can clearly see that the cursor still makes the shape of the “g” but
    that it does not show up on the screen.

Comment 1 Fedora End Of Life 2017-11-16 18:53:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:37:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.